Skip to content
CompozyOS RuntimeAPI Reference

Logs

Compozy Logs HTTP endpoints.

Audience
Operators running durable agent work
Focus
API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET/api/logs

Query Parameters

workspace_id?string

Workspace id

session_id?string

Session id

agent_name?string

Agent name

type?string

Event type

run?string

Task run id

actor?string

Actor as kind:id

actor_kind?string

Actor kind

actor_id?string

Actor id

provider?string

Provider id projected at event write time

outcome?string

Event registry outcome

component?string

Event registry component

error_only?boolean

Return warning and failure outcomes only

after_seq?integer

Return rows after this event summary sequence

Formatint32
since?string

Only logs emitted since this timestamp

Formatdate-time
limit?integer

Maximum number of records to return

Formatint32

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/logs"
{  "events": [    {      "actor_id": "string",      "actor_kind": "string",      "agent_name": "string",      "claim_token_hash": "string",      "component": "string",      "content": null,      "coordinator_session_id": "string",      "hook_event": "string",      "hook_name": "string",      "id": "string",      "lease_until": "2019-08-24T14:15:22Z",      "outcome": "string",      "parent_session_id": "string",      "provider": "string",      "release_reason": "string",      "root_session_id": "string",      "run_id": "string",      "scheduler_reason": "string",      "session_id": "string",      "spawn_depth": 0,      "summary": "string",      "task_id": "string",      "timestamp": "2019-08-24T14:15:22Z",      "type": "string",      "workflow_id": "string",      "workspace_id": "string"    }  ]}
GET/api/logs/stream

Query Parameters

workspace_id?string

Workspace id

session_id?string

Session id

agent_name?string

Agent name

type?string

Event type

run?string

Task run id

actor?string

Actor as kind:id

actor_kind?string

Actor kind

actor_id?string

Actor id

provider?string

Provider id projected at event write time

outcome?string

Event registry outcome

component?string

Event registry component

error_only?boolean

Return warning and failure outcomes only

after_seq?integer

Return rows after this event summary sequence

Formatint32
since?string

Only logs emitted since this timestamp

Formatdate-time
limit?integer

Maximum number of records to return

Formatint32
replay?boolean

Replay bounded retained logs before live polling

Response Body

text/event-stream

application/json

application/json

curl -X GET "https://example.com/api/logs/stream"
{  "actor_id": "string",  "actor_kind": "string",  "agent_name": "string",  "claim_token_hash": "string",  "component": "string",  "content": null,  "coordinator_session_id": "string",  "hook_event": "string",  "hook_name": "string",  "id": "string",  "lease_until": "2019-08-24T14:15:22Z",  "outcome": "string",  "parent_session_id": "string",  "provider": "string",  "release_reason": "string",  "root_session_id": "string",  "run_id": "string",  "scheduler_reason": "string",  "session_id": "string",  "spawn_depth": 0,  "summary": "string",  "task_id": "string",  "timestamp": "2019-08-24T14:15:22Z",  "type": "string",  "workflow_id": "string",  "workspace_id": "string"}